<template>
  <div class="box">
    <div class="content left">
      <left1_1 @getData="getData"
               :optionsData="options"></left1_1>
      <left1_2 @getData="getData"
               :optionsData="options"></left1_2>
    </div>
    <div class="content center">
      <center></center>
    </div>
    <div class="content right">
      <right1_1 @getData="getData"
                :optionsData="options"></right1_1>
      <right1_2 @getData="getData"
                :optionsData="options"></right1_2>
    </div>
    <div class="PCTENT">
      <right1_1 @getData="getData"
                :optionsData="options"></right1_1>
    </div>
    <!-- <div class="mask" v-show="isshow" @click.stop="showMaskBox">
      <iframe class="iframebox" v-bind:src="reportUrl"></iframe>
    </div> -->
    <!-- <el-dialog
      :visible.sync="isshow"
      width="50%"
      top="5vh"
      :append-to-body="true"
      :modal-append-to-body="false"
    >
      <div
        style="
          width: 100%;
          height: 2800%;
          position: absolute;
          background: white;
        "
      >
        <iframe v-bind:src="reportUrl" width="100%" height="100%"></iframe>
      </div>
    </el-dialog> -->
    <div v-if="isshow"
         class="showVideone"
         @click="showvidetwo()">
      <div class="ShowVideo1">
        <iframe v-bind:src="reportUrl"
                style="width: 100%; height: 100%"></iframe>
      </div>
    </div>
  </div>
</template>

<script>
import left1_1 from "./left/left1-1.vue";
import left1_2 from "./left/left1-2.vue";
import right1_1 from "./right/right1-1.vue";
import right1_2 from "./right/right1-2.vue";
import center from "./center/center.vue";
import { getScwghToken, getToken, sendGet } from "../../utils/api.js";
import axios from "axios";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {
    left1_1,
    left1_2,
    center,
    right1_1,
    right1_2,
  },
  data () {
    //这里存放数据
    return {
      isshow: false,
      reportUrl: "",
      options: [
        {
          value:
            "https://172.19.0.28/cas/remoteLogin?username=oa&password=7f5303a2dcfebce8c04a193b3452749eb6a0475add637352455ea1eedd624e1d&service=https://172.19.0.28/cas/eportal/home.action",
          label: "全域化视频监控平台",
        },

        {
          value: "http://192.168.200.36:8077/ht/login.html",
          label: "智慧水利公共服务平台",
        },
        {
          value:
            "http://192.168.200.36:8077/sgzx/ssologin.aspx?uid=sgdsj&url=/index.aspx",
          label: "环境自动监测监控系统",
        },
        {
          value:
            "http://192.168.200.36:8077/zhjt/?KEYDATA=B03DE68DDED0CFA9B0A6EA6609B600E5",
          label: "智慧交通平台",
        },
        {
          value: "http://172.16.1.6/portalsys/",
          label: "智慧寿光时空大数据平台",
        },
        {
          value:
            "http://sgdsjzxjk.shouguang.gov.cn/zhsq/main/html/communitys.html",
          label: "智慧社区公共服务平台",
        },
        {
          value:
            "http://221.1.82.252:8142/jd/newLogin.html?txt1=yjj_yjj01&txt2=3E72BD8D93805FB04E74C9B32A623A71",
          label: "安全生产监管系统",
        },
        {
          value: "http://172.16.1.27/dsjzx/",
          label: "阳光三农监管系统",
        },
        {
          value:
            "http://221.1.82.252:8027/Pages/nlogin.html?u=sg_ajypt&p=ajypt@73!",
          label: "安监云平台",
        },
        {
          value: "1",
          label: "农产品质量安全网格化监管系统",
        },
        {
          value:
            "http://192.168.200.156:8090/tzsb/?KEYDATA=918a13ca7c2b4a21852708534830f492",
          label: "特种设备安全智慧监管平台",
        },
        {
          value: "http://192.168.200.36:8077/cattle/login.html",
          label: "危化品道路运输全过程监管平台",
        },
        {
          value:
            "http://192.168.200.98/SGSZHWEB/Screen/UBSC/Userlogin.aspx?logout=1",
          label: "数字化城市管理系统",
        },
        {
          value: "3",
          label: "寿光蔬菜智慧秤系统",
        },
        {
          value: "http://192.168.200.36:8077/gyqypj/",
          label: "工业企业综合绩效评价平台",
        },
        {
          value: "http://172.16.31.3:8314/UcsWeb#/loginPass",
          label: "智慧应急平台",
        },
        {
          value:
            "http://172.16.1.233/toLogin.action?txt1=FgjAdmin7894&txt2=079A4A0FFA92DFF6700A76794150DE67&flag=nosrand",
          label: "公共信用信息平台",
        },
        {
          value:
            "http://sgsczy.shouguang.gov.cn/admin.html?username=dsjj&password=dsjj@123",
          label: "种子种苗交易服务平台",
        },
        {
          value: "4",
          label: "全国蔬菜质量标准中心信息平台",
        },
        {
          value:
            "http://show-shouguang.yifuzhen.com/h8-admin/index/index/index?userName=shujuzhanshi&userPassword=1q23l,xc45j.",
          label: "互联网医院",
        },
        {
          value: "http://172.16.1.40/index2.jsp",
          label: "社会治理服务信息平台",
        },

        {
          value:
            "http://www.sgcttc.com/api_second/user_login.action?userNo=02&psw=02",
          label: "智慧停车服务系统",
        },
        {
          value: "http://115.28.129.66/#/hscjuo1dbdc5/hrw9um1ryy14",
          label: "农村改厕智能化监管平台",
        },
        {
          value:
            "http://172.17.3.4/standereva/Phi/PhiLogin/LoginTh?token=RuKwN8HA4ccFvSIzBCdKLA",
          label: "全民健康信息平台",
        },
        {
          value: "http://xgymjzdj.shouguang.gov.cn/cattle/login.html",
          label: "新冠疫苗接种登记平台",
        },
        {
          value: "http://xsdwmsj.shouguang.gov.cn/",
          label: "新时代文明实践寿光云平台",
        },
        {
          value: "http://221.1.82.252:8108/toSubSystem/",
          label: "智慧养老服务信息平台",
        },
      ],
    };
  },
  //方法集合
  methods: {
    showvidetwo () {
      this.isshow = false;
    },
    showMaskBox () {
      this.isshow = false;
    },
    getData (val) {
      this.isshow = true;
      this.reportUrl = val;
    },
    getUrl () {
      this.options.forEach(async (e) => {
        if (e.label === "农产品质量安全网格化监管系统") {
          await axios({
            method: "post",
            url: "http://172.16.1.19:8080/DataPortalSystem/appYyzx/getScwghToken",
            params: {
              KEY: "01309231ebcc4fd4a0063534e4da7c2c",
            },
          }).then((res) => {
            if (res.data.errorcode == "000") {
              var token = res.data.token;
              e.value = `http://ascs.ronganfarm.com/tokenLogin?token=${token}`;
            }
          });
        } else if (e.label === "寿光蔬菜智慧秤系统") {
          let sign = window.btoa(window.encodeURIComponent(13869665112));
          let applylink = `https://sgsc.shouguang.gov.cn/trade/login2.html?sign=${sign}`;

          e.value = applylink;
        } else if (e.label === "全国蔬菜质量标准中心信息平台") {
          await axios({
            method: "post",
            url: "http://172.16.1.19:8080/DataPortalSystem/appYyzx/getToken",
            params: {
              KEY: "01309231ebcc4fd4a0063534e4da7c2c",
            },
          }).then((res) => {
            if (res.data.errorcode == "000") {
              var token = res.data.token;

              var secret = res.data.secret;
              e.value = `http://221.1.82.252:8162/ssoln.zb?token=${token}&secret=${secret}`;
            }
          });
        }
      });
    },
  },
  created () {
    this.getUrl();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.box {
  width: 100%;
  // height: 2624px;
  height: 100vh;
  overflow: hidden;
  background-color: rgb(19, 33, 69);
  display: flex;
  position: relative;
  .showVideone {
    background: rgba(0, 0, 0, 0.5);
    width: 100%;
    height: 100%;
    position: absolute;
    z-index: 100;
  }
  .ShowVideo1 {
    background: rgba(0, 0, 0, 0.5);
    width: 45%;
    height: 93%;
    position: absolute;
    z-index: 100;
    left: 28%;
    top: 5vh;
  }

  .mask {
    position: absolute;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;

    background: rgba(0, 0, 0, 0.4);

    .iframebox {
      width: 60%;
      height: 60%;
      position: absolute;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
    }
  }
  .PCTENT {
    display: none;
  }
  .content {
    font-size: 80px;
    width: 4182px;

    // padding: 0 132px;
    box-sizing: border-box;
  }
  .left {
    padding-left: 60px;
  }
  .right {
    padding-right: 60px;
  }
  .content:nth-child(2) {
    width: 5438px;
  }
  .left {
    padding-top: 316px;
  }
  .right {
    padding-top: 316px;
  }
  .center {
    padding-top: 316px;
    background-image: none !important;
  }
}
@media only screen and (max-width: 1920px) {
  .box {
    // background-color: #fff;
    height: 100%;
    .content {
      width: 50%;
    }
    .center {
      display: none;
    }
    .PCTENT {
      //   display: block;
      width: 100%;
      height: 100%;
      .left_1 {
        height: 100%;
      }
    }
    .ShowVideo1 {
      background: rgba(0, 0, 0, 0.5);
      width: 92%;
      height: 92%;
      position: absolute;
      z-index: 100;
      left: 4%;
      top: 4%;
    }
  }
}
</style>
